glab(1)

NAME
glab-ci-config-compile - View the merged CI/CD configuration.

SYNOPSIS
glab ci config compile [] [flags]

DESCRIPTION
Compiles your CI/CD configuration and prints the fully merged YAML to standard output.

All include directives are resolved, and any extended jobs are flattened into their final form.

By default, glab compiles the .gitlab-ci.yml file in the current directory. To compile a different file, pass its path as an argument.

You must run this command from a GitLab project repository.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Compile .gitlab-ci.yml in the current directory
    glab ci config compile
    # Compile a specific file in the current directory
    glab ci config compile .gitlab-ci.yml
    # Compile a file at a relative path
    glab ci config compile path/to/.gitlab-ci.yml

SEE ALSO
glab-ci-config(1)